package W3C.PICS;

import java.awt.*;
/**
 *  WelcomePanel is displayed when the PICSWindow is loaded.
 * @see W3C.PICS.PICSWindow
 */
public class WelcomePanel extends Panel {

    public WelcomePanel() {

        super();

        //should remove addNotify()
        //{{INIT_CONTROLS
        setLayout(null);
        resize(insets().left + insets().right + 376, insets().top + insets().bottom + 156);
        label1=new Label("The World Wide Web Consortium", Label.CENTER);
        label1.setFont(new Font("Helvetica",Font.PLAIN,18));
        add(label1);
        label1.reshape(insets().left + 32,insets().top + 30,306,28);
        label2=new Label("PICS Demo Code in Java", Label.CENTER);
        label2.setFont(new Font("Helvetica",Font.ITALIC,18));
        add(label2);
        label2.reshape(insets().left + 7,insets().top + 76,355,30);
        //}}
        setBackground(Color.lightGray);
    }

    public boolean handleEvent(Event event) {
        return super.handleEvent(event);
    }

    //{{DECLARE_CONTROLS
    Label label1;
    Label label2;
    //}}
}


